import { Injectable } from "@angular/core";
import { HttpClient, HttpHeaders } from "@angular/common/http";
import { Observable } from "rxjs";

@Injectable({
  providedIn: "root",
})
export class EnergyMonitoringService {
  private readonly baseUrl = 'https://kapi.absys.ninja/hemat';
  private readonly apiKey = 'j2yaYvPSQcsEEmHh3NEobfiXyyXmmnHT';
  private readonly headers = new HttpHeaders({
    'Content-Type': 'application/json',
    'x-api-key': this.apiKey
  });

  constructor(private http: HttpClient) {}

  private get<T>(endpoint: string, params: any = {}): Observable<T> {
    const url = `${this.baseUrl}/${endpoint}`;
    return this.http.get<T>(url, { headers: this.headers, params });
  }

  getListRoomData(): Observable<any> {
    return this.get<any>('room/list');
  }

  getDashboardTopCard(buildingId: string, floorId: string, roomId: string): Observable<any> {
    return this.get<any>('dashboard/top-card', { building_id: buildingId, floor_id: floorId, room_id: roomId });
  }

  getDashboardSummary(buildingId: string, floorId: string, roomId: string): Observable<any> {
    return this.get<any>('dashboard/summary-cost', { building_id: buildingId, floor_id: floorId, room_id: roomId });
  }

  getDashboardDeviceCategory(buildingId: string, floorId: string, roomId: string): Observable<any> {
    return this.get<any>('dashboard/device-category-use', { building_id: buildingId, floor_id: floorId, room_id: roomId });
  }

  getDashboardChartKwhWater(buildingId: string, floorId: string, roomId: string): Observable<any> {
    return this.get<any>('dashboard/chartKwhWater', { building_id: buildingId, floor_id: floorId, room_id: roomId });
  }

  getDeviceStatus(deviceId: any): Observable<any> {
    return this.get<any>('devices/status', { id: deviceId });
  }
}
